View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000135Ecere SDKcompilerpublic2008-08-24 04:572012-03-29 07:50
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000135: Equality check with Array template array member casts value to uint64
Descriptionif(array.array[0] != '\r')

A (uint64) cast causes a bug.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000099)
jerome (administrator)
2008-08-29 23:08

Commented out this code in memberExp: case of pass15.ec ProcessExpression, inside

else if(tClass && exp.expType.kind == pointerType && exp.expType.type && exp.expType.type.kind == templateType && exp.expType.type.templateParameter.type == TemplateParameterType::type)

When testing the pathways of ContainersTest, it only went there for the particular Array::array bug related to this issue.

- Issue History
Date Modified Username Field Change
2008-08-24 04:57 jerome New Issue
2008-08-24 04:57 jerome Status new => assigned
2008-08-24 04:57 jerome Assigned To => jerome
2008-08-29 23:08 jerome Note Added: 0000099
2008-08-29 23:08 jerome Status assigned => resolved
2008-08-29 23:08 jerome Resolution open => fixed
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:28 redj Relationship added child of 0000429
2010-07-25 21:35 redj Relationship deleted child of 0000429
2010-07-25 21:36 redj Relationship added child of 0000433
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker